> ## Documentation Index
> Fetch the complete documentation index at: https://chargecloud.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a sensor

> Updates a sensor. Required permission: assets:sensor:update



## OpenAPI

````yaml /api/core-api/crmiapi.json put /api/v1/assets/sensors/{id}
openapi: 3.1.1
info:
  title: chargecloud - Core API
  summary: chargecloud Core API. All around CRM, Asset Management and more.
  version: 1.113.1
  description: chargecloud Core API. All around CRM, Asset Management and more.
servers:
  - url: https://api.chargecloud.dev
    description: Production - chargecloud Core API
  - url: https://demo.chargecloud.de
    description: Sandbox/Dev - chargecloud Core API
security: []
paths:
  /api/v1/assets/sensors/{id}:
    put:
      tags:
        - Sensors
      summary: Updates a sensor
      description: 'Updates a sensor. Required permission: assets:sensor:update'
      operationId: /api/v1/assets/sensors/{id}_PUT
      parameters:
        - name: id
          in: path
          description: ID of the sensor
          required: true
          schema:
            type: integer
            format: int32
            description: ID of the sensor
      requestBody:
        description: 'Updates a sensor. Required permission: assets:sensor:update'
        content:
          application/json:
            schema:
              type: object
              required:
                - chargepoint_id
              properties:
                last_status:
                  type: string
                  enum:
                    - Available
                    - Occupied
                    - Parked
                    - Unavailable
                    - Unknown
                  description: Last status of the sensor
                name:
                  type: string
                  maxLength: 255
                  description: Sensor name
                interface_name:
                  type: string
                  maxLength: 255
                  description: Interface name
                ext_id:
                  type: string
                  maxLength: 255
                  description: External id
                chargepoint_id:
                  type: integer
                  format: int32
                  minimum: 0
                  description: Chargepoint id
        required: true
      responses:
        '200':
          description: Sensor edited
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - sensor
                properties:
                  sensor:
                    type: object
                    properties:
                      id:
                        type: integer
                        format: int32
                        description: Sensor id
                      modification_date:
                        type: string
                        description: Date of modification
                      last_status_changed_at:
                        type: string
                        description: Last status changed at
                      last_status:
                        type: string
                        enum:
                          - Available
                          - Occupied
                          - Parked
                          - Unavailable
                          - Unknown
                        description: Last status of the sensor
                      name:
                        type: string
                        maxLength: 255
                        description: Sensor name
                      interface_name:
                        type: string
                        maxLength: 255
                        description: Interface name
                      ext_id:
                        type: string
                        maxLength: 255
                        description: External id
                      chargepoint_id:
                        type: integer
                        format: int32
                        minimum: 0
                        description: Chargepoint id
                    required:
                      - id
                      - chargepoint_id
                    description: Sensor
        '401':
          description: Unauthorized
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '404':
          description: Not found
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '405':
          description: Method not allowed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
        '422':
          description: Request validation failed
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - errors
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        errorKey:
                          type: string
                          description: A key identifying the error
                        message:
                          type: string
                          description: The error message
                        parameter:
                          type: string
                          description: The parameter that caused the error, if any
                      required:
                        - errorKey
                        - message
                        - parameter
                      description: Error
                    description: List of errors
        '429':
          description: Too many requests
          headers:
            Content-Language:
              $ref: '#/components/headers/Content-Language'
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearer:
            - asset:sensor
components:
  headers:
    Content-Language:
      description: The locale of the response content (BCP 47 language tag).
      schema:
        type: string
        example: en
  securitySchemes:
    bearer:
      type: http
      description: OAuth2 Bearer Authorization
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Creates a sensor](/api-reference/sensors/creates-a-sensor.md)
- [Retrieves sensors](/api-reference/sensors/retrieves-sensors.md)
- [Deletes a sensor](/api-reference/sensors/deletes-a-sensor.md)
